User Guide
ReportConfiguration
Updates the report configuration as JSON for a given report ID.
URL
|
PUT /api/Report/ReportConfiguration/{id} |
ReportConfiguration method |
| Parameter | Required | Description | Type |
|---|---|---|---|
| id | Required | id |
string($uuid) (path) |
| Request Body |
application/json-path+json application/json text/json application/*+json |
| Example Value | Schema |
{"report": {
"top": 0,
"properties": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"engineSource": 0,
"description": "string",
"title": "string",
"flags": 0,
"tuneFlags": 0,
"designNotes": "string",
"dateCreated": "2024-12-15T15:31:43.140Z",
"ownerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"owner": "string", "permission": 0
},
"links": [
{
"from": {
"reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "columnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"to": {
"reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"columnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
],
"filter": {
"valueType": 0,
"useExists": true, "operator": 0,
"values": [ {}
]
},
"joins": {
"additionalProp1": 0, "additionalProp2": 0, "additionalProp3": 0
},
"columns": [
{
"hidden": true, "format": "string",
"label": "string",
"sort": 0,
"aggregate": {
"type": 0,
"distinct": true, "simpleTimeSeries": true
},
"aggregationType": 0, "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "reference": {
"entity": "string",
"field": "string",
"isCustom": true
},
"type": 0,
"isUsed": true
}
],
"permissions": [
{
"roleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roleName": "string",
"value": 0
}
] },
"schedule": {
"startBoundary": "2024-12-15T15:31:43.140Z",
"endBoundary": "2024-12-15T15:31:43.140Z",
"afterStartMinutesBase": 0,
"beforeStartMinutesBase": 0,
"maxRunTime": {
"ticks": 0
}, "scheduleByDay": {
"daysInterval": 0
},
"scheduleByWeek": {
"daysOfWeek": [
0 ], "weeksInterval": 0
},
"scheduleByMonth": {
"daysOfMonth": [
0
],
"dayOfWeek": {
"number": 0,
"day": 0
}, "months": [
1
]
},
"currentSchedule": {},
"scheduleType": 0, "repetition": {
"interval": {
"ticks": 0
},
"duration": {
"ticks": 0 }, "resumeWhenIdle": true, "stopAtDurationEnd": true,
"xmlInterval": "string",
"xmlDuration": "string"
},
"xmlMaxRunTime": "string",
"enabled": true,
"scheduleTime": "2024-12-15T15:31:43.140Z",
"startRun": "2024-12-15T15:31:43.140Z",
"beginRun": "2024-12-15T15:31:43.140Z",
"lastRun": "2024-12-15T15:31:43.140Z",
"context": {
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "type": 0,
"name": "string", "description": "string", "state": 0,
"scheduleXml": "string",
"startRun": "2024-12-15T15:31:43.140Z",
"beginRun": "2024-12-15T15:31:43.140Z",
"lastRun": "2024-12-15T15:31:43.140Z",
"executeNow": true,
"removeWhenDone": true
} } } |
Responses
| Code | Description | Links |
| 200 | Success | No links |
|
Media Type text/plain application/json text/json Controls Accept header |
||
| Example Value | Schema | ||
{"reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "code": 0, "uiConfigurationRemoved": true } |
||
| 400 |
Bad Request |
No links |
|
Media Type text/plain application/json text/json |
||
| Example Value | Schema | ||
{"type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string" } |
||
| 401 | Unauthorized | No links |
